Package org.eclipse.cdt.core.parser

# Class ParserSettings

java.lang.Object
org.eclipse.cdt.core.parser.ParserSettings

All Implemented Interfaces:
  `IParserSettings`

Direct Known Subclasses:
  `IParserSettings2.Default`

public class ParserSettings extends Object implements IParserSettings
Implementation for the `IParserSettings` interface. Allows to configure the parser with additional settings.

Since:
  5.6

## Constructor Summary

Constructors
Constructor
Description
`ParserSettings()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getMaximumTrivialExpressionsInAggregateInitializers()`
Returns the maximum number of trivial expressions in aggregate initializers.
`void`
`setMaximumTrivialExpressionsInAggregateInitializers(int value)`
Sets the maximum number of trivial expressions in aggregate initializers.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ParserSettings

public ParserSettings()

## Method Details

### getMaximumTrivialExpressionsInAggregateInitializers

public int getMaximumTrivialExpressionsInAggregateInitializers()
Description copied from interface: `IParserSettings`
Returns the maximum number of trivial expressions in aggregate initializers. Exceeding numbers of trivial aggregate initializers should be skipped by the parser for performance reasons. A negative number indicates that the parser shall not skip any initializers.

Specified by:
  `getMaximumTrivialExpressionsInAggregateInitializers` in interface `IParserSettings`

### setMaximumTrivialExpressionsInAggregateInitializers

public void setMaximumTrivialExpressionsInAggregateInitializers(int value)
Sets the maximum number of trivial expressions in aggregate initializers.

Parameters:
  `value` - The new maximum number of trivial expressions in aggregate initializers.